/*
	SearchDelegate
	version 2.0.0
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	
	This guy calls the Amazon rest URL.  It handles all the
	weird things involved with "talking to a server".
	
	This is release under a Creative Commons license. More information can be
	found here:
	
	http://creativecommons.org/licenses/by/2.5/
*/
package com.jxl.amazon.business
{
	import mx.rpc.Fault;
	import mx.rpc.events.FaultEvent;
	import mx.rpc.events.ResultEvent;
	
	import com.adobe.cairngorm.business.ServiceLocator;
	import com.adobe.cairngorm.business.Responder;
	
	import com.jxl.amazon.factories.AmazonFactory;
	import com.jxl.amazon.constants.AmazonConstants;
	import mx.rpc.http.HTTPService;
	import mx.rpc.AsyncToken;
	
	
	public class SearchDelegate
	{
		
		public function SearchDelegate(p_responder:Responder)
		{
			DebugWindow.header();
			DebugWindow.debug("SearchDelegate::constructor");
			
			responder = p_responder;
		}
		
		public function searchBooks(p_keywords:String):void
		{
			DebugWindow.header();
			DebugWindow.debug("SearchDelegate::searchBooks");
			
			var service:HTTPService 		= ServiceLocator.getInstance().getHTTPService("amazonService");
			
			var params:Object 				= {};
			params.Service 					= "AWSECommerceService";
			params.AWSAccessKeyId 			= AmazonConstants.AMAZON_API_KEY;
			params.Operation 				= "ItemSearch";
			params.Keywords 				= p_keywords;
			params.ResponseGroup			= "Images,ItemAttributes";
			params.SearchIndex 				= "Books";
			
			var token:AsyncToken = service.send(params);
			var responder:mx.rpc.Responder = new mx.rpc.Responder(searchBooks_onResult, searchBooks_onFault);
			token.addResponder(responder);
		}
		
		protected function searchBooks_onResult(event:ResultEvent):void
		{
			DebugWindow.header();
			DebugWindow.debug("SearchDelegate::searchBooks_onResult");
			//DebugWindow.debug("event.result: " + event.result);
			//DebugWindow.debugProps(event.result);
			
			var xml:XML = event.result as XML;
			//DebugWindow.debug("xml: " + xml);
			var books_array:Array = AmazonFactory.buildArrayOfBooksFromXML(xml);
			
			responder.onResult(new ResultEvent(ResultEvent.RESULT, false, true, books_array));
		}
		
		protected function searchBooks_onFault(event:FaultEvent):void
		{
			DebugWindow.header();
			DebugWindow.debug("SearchDelegate::searchBooks_onFault");
			DebugWindow.debug("event: " + event);
			//DebugWindow.debugProps(event);
			//DebugWindow.debugProps(event.fault);
		}
		
		protected var responder:Responder;
		
	}
}
