/*
	Controller
	version 1.0.0
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	
	The almighty Controller (the C in MVC).  This class
	maps Events to Commands.  When a View dispatches an event,
	this class automatically creates an appropriate command class
	behind the scenes, and passes the event to its execute method.
	
	 This is release under a Creative Commons license. More information can be
    found here:
    
	http://creativecommons.org/licenses/by/2.5/
*/
package com.jxl.amazon.controller
{
	import com.adobe.cairngorm.control.FrontController;
	
	import com.jxl.amazon.events.SearchBooksEvent;
	
	import com.jxl.amazon.commands.SearchCommand;
	
	public class Controller extends FrontController
	{
		public function Controller()
		{
			DebugWindow.header();
			DebugWindow.debug("Controller::constructor");
			
			addCommands();
		}
		
		protected function addCommands():void
		{
			DebugWindow.header();
			DebugWindow.debug("Controller::addCommands");
			
			// for now, we only have 1 event, and 1 command.  You usually
			// have multiple events and multiple commands.  Sometimes,
			// multiple events can go to the same command as well.
			addCommand(SearchBooksEvent.SEARCH_BOOKS, SearchCommand);
			
		}
		
	}
}
