/*
	SearchBooksEvent
	version 1.0.0
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	
	This event is emitted by any View that wants to fire
	off a search.  The View can create the event, pass in the
	keywoards, and dispatch to the Controller.  He'll take it
	from there (launch Command, Command creates delegate, 
	delegate calls server).
	
	 This is release under a Creative Commons license. More information can be
    found here:
    
	http://creativecommons.org/licenses/by/2.5/
*/
package com.jxl.amazon.events
{
	import com.adobe.cairngorm.control.CairngormEvent;

	public class SearchBooksEvent extends CairngormEvent
	{
	
		public static var SEARCH_BOOKS:String = "searchBooks";
		
		public var keywords:String;
			
		public function SearchBooksEvent(p_keywords:String)
		{
			// by default, events shouldn't bubble, it's considered rude.
			// since this is the only type of event, I hardcode the type
			// to SEARCH_BOOKS.  However, you could have many
			// types of SearchBooksEvents; just add another constant up top,
			// and add the first parameter to be type.
			// I try to re-use Event classes as much as possible, but it 
			// doesn't always work out.
			super(SEARCH_BOOKS, false, true);
			
			keywords = p_keywords;
		}
	}
}
