/*
	Modellocator
	version 1.0.0
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	
	ModelLocator is central to Flex because Flex supports
	databinding.  This is a core seperation of allowing
	View's to know about data, but not to change it.  It's a
	convention Flex Developers follow:
	- bind your View's to ModelLocator data
	- have your Commands change data on the ModelLocator
	- View's update when that data is changed via databinding
	
	If the class gets to big, make another one.  You don't have
	to add a Binding metadata tag if you are just binding to a constant.
	
	 This is release under a Creative Commons license. More information can be
    found here:
    
	http://creativecommons.org/licenses/by/2.5/
*/

package com.jxl.amazon.model
{
	import com.adobe.cairngorm.model.ModelLocator;
	import com.jxl.amazon.vo.BookVO;
	import mx.collections.ArrayCollection;
	
	public class ModelLocator implements com.adobe.cairngorm.model.ModelLocator
	{
		
		// only do this if you have a 4 hour deadline;
		// some people think state vars are good.  I think
		// they are evil... but man, they sure work in a pinch.
		public static const STATE_READY:String = "ready";
		public static const STATE_SEARCHING:String = "searching";
		public static const STATE_DONE:String = "done";
		
		
		[Bindable]
		public var search_state:String;
		
		// A way to get typed arrays
		[Bindable]
		[ArrayElementType("com.jxl.amazon.vo.BookVO")]
		public var books_array:ArrayCollection;
		
		public function ModelLocator()
		{
		}
		
		public static function getInstance():com.jxl.amazon.model.ModelLocator
		{
			if(inst == null)
			{
				inst = new com.jxl.amazon.model.ModelLocator();
			}
			return inst;
		}
		
		
		protected static var inst:com.jxl.amazon.model.ModelLocator;
	}
}