/*
	BookVO
	version 1.0.0
	Created by Jesse R. Warden a.k.a. "JesterXL"
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	
	A ValueObject.  A class that represents a book
	is far more useful than a chunk of raw XML.
	View's can import a BookVO and know how to handle it.
	
	 This is release under a Creative Commons license. More information can be
    found here:
    
	http://creativecommons.org/licenses/by/2.5/
*/

package com.jxl.amazon.vo
{
	import com.adobe.cairngorm.vo.ValueObject;
	
	[Bindable]
	public class BookVO implements ValueObject
	{
		
		public var ASIN:String;
		public var detailURL:String;
		
		public var smallImageURL:String;
		public var smallImageWidth:Number;
		public var smallImageHeight:Number;
		
		public var author:String;
		public var manufacturer:String;
		public var title:String;
		
	}
}